@import "../scss/variables";

* {
  font-family: $font-regular, Arial, 'Roboto', sans-serif;
  //color: $black-400;
  box-sizing: border-box;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

/* Global Styles */
/*:root {
    --Background: #FAFAFB;
    --Black-10: #F3F4F7;
    --Black-10-opacity-5: rgba(243, 244, 247, 0.5);
    --black-100: #B7C2CF;
    --black-200: #899AAE;
    --black-400: #3D597A;
    --black-800: #00284A;
    --black-900: #001832;
    --font-regular: "EC Square Sans Pro";
    --font-medium: "EC Square Sans Pro Med";
    --font-bold: "EC Square Sans Pro Bold";
}*/

.neutral-400 {
  color: $neutral-400
}

.oots-blue {
  color: $oots-blue;
}

.green-300 {
  color: $green-300;
}

.black-200 {
  color: $black-200
}
.black-400 {
  color: $black-400
}

@media (min-width: 992px) {

  .flex-basis-30 {
    flex-basis: 30%;
  }

  .flex-basis-40 {
    flex-basis: 40%;
  }

  .flex-basis-50 {
    flex-basis: 50%;
  }

  .flex-basis-60 {
    flex-basis: 60%;
  }

  .flex-basis-70 {
    flex-basis: 70%;
  }
}

.bg-neutral-400 {
  background-color: $neutral-400;
}

.bg-background {
  background-color: $background;
}

.bg-black-10 {
  background-color: $black-10;
}

.bg-black-100 {
  background-color: $black-100;
}

.bg-black-200 {
  background-color: $black-100;
}

.bg-neutral-100 {
  background-color: $neutral-100!important;
}

.bg-neutral-50 {
  background-color: $neutral-50;
}

.bg-head-foot-eidas-de {
  background-color: #0074B3
}

.bg-head-foot-eidas-it {
  background-color: #0F3462
}

.bg-foot-ev-req-de {
  background-color: #660D26
}

.uni-de {
  color: $university-A !important;

  * {
    color: $university-A;
  }
}

.uni-be {
  color: $university-B !important;

  * {
    color: $university-B;
  }
}

.bg-uni-de {
  background-color: $university-A !important;

  * {
    color: #fff;
  }
}

.bg-uni-de-100 {
  background-color: $university-A-100;
}

.bg-uni-be {
  background-color: $university-B;

  * {
    color: #fff;
  }
}

.bg-uni-be-100 {
  background-color: $university-B-100;
  * {
    color: $university-B;
  }
}

.border-uni-de {
  border-color: $university-A !important;
}

.border-uni-be {
  border-color: $university-B !important;
}

.rounded-4 {
  border-radius: .5rem;
}

.rounded-5 {
  border-radius: .7rem;
}

.rounded-6 {
  border-radius: 2.5rem;
}

.w-content {
  width: fit-content;
}

.box-shadow {
  box-shadow: 0 2px 12px 0 rgba(0, 24, 50, 0.08);
}


[onclick] {
  cursor: pointer;
}


html, body {
  box-sizing: border-box;
  height: 100%;
  padding: 0;
  margin: 0;
}

.fs-7 {
  font-size: $fs-7;
}

.w-30 {
  width: 30%;
}

.btn.disabled, .btn:disabled, fieldset:disabled .btn {
  opacity: .15;
}

/*layout*/
.wrapper {
  box-sizing: border-box;
  height: 100%;
  display: flex;
  flex-direction: column;
}

.page-header, .page-footer {
  flex-grow: 0;
  flex-shrink: 0;
}

.page-body {
  flex-grow: 1;
}

.disabled {
  opacity: 0.5;
  /*cursor: default!important;*/
  pointer-events: none;
}

.disabled * {
  /*cursor: default!important;*/
  pointer-events: none;
}

h1 {
  color: $black-800;
  font-family: $font-medium;
}

/*buttons*/
.btn {
  font-family: $font-medium;
  padding: 0.7rem 0;
  min-width: 143px;
}

.btn-no-min {
  min-width: 0;
}
.no-hover {
  &:hover {
    background: none!important;
    color: inherit!important
  }
}
.btn-outline-primary {
  border-color: #3D597A;
  color: #3D597A
}

.btn-outline-primary:hover {
  background: #fff;
  color: #3D597A;
}

.btn-primary, .btn-primary:hover {
  background: #3D597A
}

.btn-primary.disabled, .btn-primary:disabled {
  background-color: #3D597A;
  border-color: #3D597A;
}

.regular {
  font-family: $font-regular;
}

.medium {
  font-family: $font-medium;
}

.bold {
  font-family: $font-bold;
}

.star {
  color: #DD0000;
  margin-right: 0.3rem;
  font-size: 1.3rem;
}

/*.form .form-group {
    flex: 0 0 auto;
    width: 70%;
}*/

.form label {
  font-family: $font-medium;
  color: $black-900;
}

.btn-action-link {
  text-decoration: underline;
  background: none;
  color: $black-400;
  border: none;
  position: relative;
}

.btn-action-link.upload {
  &:before {
    content: url(../images/upload_small.svg);
    top: 0.4rem;
    left: -30%;
    position: absolute;
  }

  &.de:before {
    content: url(../images/upload_small_de.svg);
  }
}

/*  banner  "A new way to collect official documents online"    */

.banner {
  background-color: $background;
  margin-top: 3rem;
  border-radius: 1rem;
  position: relative;
}

.info-box {
  border-left: 3px solid #3D597A;
}

/*.banner:before {
  content: 'NEW';
  background: $black-400;
  color: #fff;
  border-radius: 0.7rem 0 0.7rem 0;
  position: absolute;
  top: 0;
  left: 0;
  padding: 0.3rem 0.7rem;
}*/

/*list*/

.checked-list {
  /*margin: 0;
  padding: 0;*/

  li {
    /*list-style-type: none;
    background: url("../images/check_small.svg") no-repeat 0 1px;*/
   /* padding-left: 2rem;
    margin-top: 0.3rem;
    line-height: 1.5;*/
  }

  &.neutral-400 {
    li {
      margin: 1rem 0;
      //background: url("../images/neutral-400-check.svg") no-repeat 0 1px;
    }
  }

}

/* form */

.custom-checkbox {
  position: relative;
  width: 1.3rem;
  height: 1.3rem;
  display: inline-block;

  .custom-control-indicator {
    border-radius: 0.25rem;
    position: absolute;
    border: 1px solid $black-400;
    width: 1.3rem;
    height: 1.3rem;
    background-color: $black-10;
    top: 0;
    left: 0;
  }

  .custom-control-input {
    position: relative;
    z-index: 1;
    opacity: 0;
    width: 20px;
    height: 20px;
  }

  .custom-control-input:checked ~ .custom-control-indicator {
    background: $black-400 url("../images/check_box_checked.svg") no-repeat center;
    background-size: 75%;
  }
}

/*dropdown countries*/

.vodiapicker {
  display: none;
}

#a {
  padding-left: 0.6rem;
  height: 250px;
  overflow-y: scroll;
}

#a img, .btn-select img {
  width: 25px;

}

#a li {
  list-style: none;
  padding-top: 5px;
  padding-bottom: 5px;
  cursor: pointer;
  display: flex;
  align-items: center;
  justify-content: space-between;
  &:first-child {
    display: none;
  }
  p {
    margin-right: 1rem;
    small {
      font-style: italic;
      color: $black-300;
    }
  }
}

#a li:hover {
  background-color: #F4F3F3;
}

#a li img {
  margin: 5px;
}

#a li span, .btn-select li span {
  margin-left: 0.5rem;
}

/* item list */

.b {
  display: none;
  width: 80%;
  max-width: 350px;
  box-shadow: 0 6px 12px rgba(0, 0, 0, .175);
  border: 1px solid rgba(0, 0, 0, .15);
  border-radius: 5px;
  position: absolute;
  background-color: white;
  z-index: 1;
}

.open {
  display: block !important;
}

.btn-select {
  margin-top: 10px;
  width: 100%;
  max-width: 350px;
  height: 40px;
  border-radius: 5px;
  background: transparent url("../images/expand_more.png") no-repeat 97% center;
  border: 1px solid #ccc;
  padding-left: 1rem;
}

.btn-select li {
  display: flex;
  padding-left: 0.5rem;
}

.btn-select:hover li {
  margin-left: 0;
}

.btn-select:hover {
  //background-color: #F4F3F3;
  border: 1px solid transparent;
  box-shadow: inset 0 0 0 1px #ccc;
}

.btn-select:focus {
  outline: none;
}

.lang-select {
  background: no-repeat 0.7rem 1.3rem;
  background-size: 8%;
}


/*sign-in*/

#sign-in {
  cursor: pointer;
}

/*loader*/

.loader {
  border: 5px solid #f3f3f3;
  border-top: 5px solid #000;
  border-radius: 50%;
  width: 50px;
  height: 50px;
  animation: spin 1.2s linear infinite;
}

@keyframes spin {
  0% {
    transform: rotate(0deg);
  }
  100% {
    transform: rotate(360deg);
  }
}

/*
  Animations
*/

.arrows-animation {
  display: flex;
  align-items: center;
  justify-content: space-evenly;

  img {
    position: relative;
    opacity: 0;

    &.first {
      animation: move-in-steps-1 1s linear infinite;
    }

    &.second {
      animation: move-in-steps-2 1s linear infinite;
      animation-delay: .15s;
    }

    &.third {
      animation: move-in-steps-3 1s linear infinite;
      animation-delay: .25s;
    }

    &.forth {
      animation: move-in-steps-4 1s linear infinite;
      animation-delay: .35s;
    }

  }
}

@keyframes fadeIn {
  from {
    opacity: 0;
  }
}

@keyframes move-in-steps-1 {
  0% {
    //left: 0;
    opacity: .15;
  }
  /*50% {
    opacity: .50;
  }*/
  100% {
    //left: 100%;
    opacity: .35;
  }
}

@keyframes move-in-steps-2 {
  0% {
    //left: 0;
    opacity: .15;
  }
  /*50% {
    opacity: .35;
  }*/
  100% {
    //left: 100%;
    opacity: .50;
  }
}

@keyframes move-in-steps-3 {
  0% {
    //left: 0;
    opacity: .15;
  }
  /*50% {
    opacity: .50%;
  }*/
  100% {
    //left: 100%;
    opacity: .75;
  }
}

@keyframes move-in-steps-4 {
  0% {
    //left: 0;
    opacity: .15;
  }
  /*50% {
    opacity: .50;
  }*/
  100% {
    //left: 100%;
    opacity: .9;
  }
}

/*PDF preview*/

.preview-document.active {
  cursor: pointer;
}

.viewer {
  position: fixed;
  display: flex;
  flex-direction: column;
  top: 0;
  left: 0;
  width: 100%;
  height: 100%;
  background: rgba(100, 100, 100, .9);
  visibility: hidden;
  opacity: 0;
  z-index: -1;

  &.visible {
    visibility: visible;
    opacity: 1;
    z-index: 10;
    overflow-y: scroll;
    overflow-x: hidden;
  }

}

.viewer__toolbar {
  flex: 0 0 auto;
  width: 100%;
  background: #111;
  justify-content: flex-end;
  display: flex;
  gap: 1rem;

  button.close-preview {
    position: relative;
    font-size: 1.3rem;
    background-color: transparent;
    border: none;

    &:after {
      content: "×";
      font-size: 2.5rem;
      line-height: 0;
      position: absolute;
      top: 1.7rem;
      left: 1rem;
    }
  }
}

.viewer__content {
  display: flex;
  flex: 1 1 auto;
  align-items: center;
  justify-content: center;
}

/*covers*/

.cover {
  display: flex;
  position: relative;
  color: #3D597A;
  border: 5px solid #A0ABC0;
  padding: 0;
  margin: 1rem auto;

  .column {
    flex: 1 1 auto;
    align-self: stretch;

    &.left {
      background: #E7E9EF;
      padding: 5rem 3rem 3rem;

      > div {
        padding: 0 3rem;
      }

      li {
        margin-bottom: 1.5rem;
      }
    }

    &.right {
      //background: #FAFAFB;

      .head {
        padding: 3rem 3rem 3rem 5rem;
      }

      .right-content {
        margin-left: 3rem;
      }

      .story {
        text-indent: -2rem;
        margin-left: 2rem;
        margin-bottom: 2rem;

        p.line-decor {
          position: relative;

          &:before {
            content: "";
            width: 1px;
            height: 70%;
            background: #000;
            position: absolute;
            display: block;
            left: -1.3rem;
            top: 2rem;
          }
        }
      }
    }

    button {
      border: none;
    }
  }
}

.form-select {
  width: 71.5%;
}

@media only screen and (max-width: 600px) {
  .cover {
    .column {
      &.left {
        padding: 3rem 0;

        > div {
          padding: 0 1rem !important;
        }
      }

      &.right {
        .head {
          padding: 3rem 0 3rem 1rem;
        }

        .right-content {
          margin-left: 0;
        }
      }
    }
  }
  .info-absolute {
    &:not(.for-label){
      right: 2rem!important;
    }
  }
}
